#version 450

layout(location = 0) in vec2 uv;
layout(location = 0) out vec4 outColor;

layout(binding = 0) uniform sampler2D bloomTexture;

void main()
{
    vec3 bloom = texture(bloomTexture, uv).rgb;

    // For test visibility
    outColor = vec4(bloom, 0.6);
}